diff -ruN squid-2.5.STABLE13/ChangeLog squid-2.5.STABLE14/ChangeLog
--- squid-2.5.STABLE13/ChangeLog	Sun Mar 12 04:18:41 2006
+++ squid-2.5.STABLE14/ChangeLog	Sat May 20 07:35:33 2006
@@ -1,4 +1,13 @@
-Changes to squid-2.5.STABLE12 (12 Mar 2006)
+Changes to squid-2.5.STABLE14 (20 May 2006)
+	- [Minor] icons not displayed when visible_hostname is a
+	  short hostname (witout domain). (Bug #1532)
+	- [Medium] Memleak in HTCP client code (default disabled)
+	  (Bug #1553)
+	- [Major] memory leak in ident processing (Bug #1557)
+	- [Medium] Memory leak in header processing related to external_acl
+	  header detail format tag
+
+Changes to squid-2.5.STABLE13 (12 Mar 2006)
 	- [Minor] Fails to compile on Solaris and some other platforms
 	  with undefined reference to setenv (Bug #1435)
 	- [Cosmetic] Added WebDAV REPORT method to know HTTP methods list
@@ -12,7 +21,7 @@
  	  arguments (Bug #1483)
 	- [Minor] Wrong timezone declaration for 64 bit Irix (Bug #1479)
 	- [Minor] Some 206 responses logged incorrectly (Bug #1511)
-	- [Minor] Issues in processing ranges on objects &gt;2GB (Bug #437)
+	- [Minor] Issues in processing ranges on objects >2GB (Bug #437)
 	- [Cosmetic] Segmentation fault on empty proxy_auth ACLs (Bug #1414)
 	- [Minor] Ident access lists don't work in delay_access statements
 	  (Bug #1428)
diff -ruN squid-2.5.STABLE13/RELEASENOTES.html squid-2.5.STABLE14/RELEASENOTES.html
--- squid-2.5.STABLE13/RELEASENOTES.html	Sun Mar 12 04:29:34 2006
+++ squid-2.5.STABLE14/RELEASENOTES.html	Sat May 20 07:43:28 2006
@@ -2,12 +2,12 @@
 <HTML>
 <HEAD>
  <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.21">
- <TITLE>Squid 2.5.STABLE12 release notes</TITLE>
+ <TITLE>Squid 2.5.STABLE14 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 2.5.STABLE12 release notes</H1>
+<H1>Squid 2.5.STABLE14 release notes</H1>
 
-<H2>Squid Developers</H2>$Id: release-2.5.html,v 1.1.2.68 2006/03/12 11:04:41 hno Exp $
+<H2>Squid Developers</H2>$Id: release-2.5.html,v 1.1.2.69 2006/05/14 15:30:39 hno Exp $
 <HR>
 <EM>This document contains the release notes for version 2.5 of Squid.
 Squid is a WWW Cache application developed by the National Laboratory
@@ -483,6 +483,17 @@
 </LI>
 <LI>a number of other minor and cosmetic bugfixes. See the list of 
 <A HREF="http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE12">squid-2.5.STABLE12 patches</A> and the 
+<A HREF="ChangeLog">ChangeLog</A> file for details.</LI>
+</UL>
+</P>
+
+<H2><A NAME="s16">16. Key changes squid-2.5.STABLE13 to 2.5.STABLE14:</A></H2>
+
+<P>
+<UL>
+<LI>Several memory leaks plugged in ident, htcp and external_acl</LI>
+<LI>a number of other minor and cosmetic bugfixes. See the list of 
+<A HREF="http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE13">squid-2.5.STABLE13 patches</A> and the 
 <A HREF="ChangeLog">ChangeLog</A> file for details.</LI>
 </UL>
 </P>
diff -ruN squid-2.5.STABLE13/configure squid-2.5.STABLE14/configure
--- squid-2.5.STABLE13/configure	Sun Mar 12 04:29:22 2006
+++ squid-2.5.STABLE14/configure	Sat May 20 07:43:18 2006
@@ -1027,7 +1027,7 @@
 
 # Define the identity of the package.
 PACKAGE=squid
-VERSION=2.5.STABLE13
+VERSION=2.5.STABLE14
 cat >> confdefs.h <<EOF
 #define PACKAGE "$PACKAGE"
 EOF
@@ -1078,7 +1078,7 @@
 
   
 
-# From configure.in Revision: 1.251.2.107 
+# From configure.in Revision: 1.251.2.109 
 echo $ac_n "checking whether to enable maintainer-specific portions of Makefiles""... $ac_c" 1>&6
 echo "configure:1084: checking whether to enable maintainer-specific portions of Makefiles" >&5
     # Check whether --enable-maintainer-mode or --disable-maintainer-mode was given.
@@ -7474,7 +7474,7 @@
 fi
 
 if test "$with_aio" = "yes"; then
-    echo $ac_n "checking for aio_read in -lrt""... $ac_c" 1>&6
+        echo $ac_n "checking for aio_read in -lrt""... $ac_c" 1>&6
 echo "configure:7479: checking for aio_read in -lrt" >&5
 ac_lib_var=`echo rt'_'aio_read | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
@@ -7519,6 +7519,53 @@
 
 else
   echo "$ac_t""no" 1>&6
+echo $ac_n "checking for aio_read in -laio""... $ac_c" 1>&6
+echo "configure:7524: checking for aio_read in -laio" >&5
+ac_lib_var=`echo aio'_'aio_read | sed 'y%./+-%__p_%'`
+if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
+  echo $ac_n "(cached) $ac_c" 1>&6
+else
+  ac_save_LIBS="$LIBS"
+LIBS="-laio  $LIBS"
+cat > conftest.$ac_ext <<EOF
+#line 7532 "configure"
+#include "confdefs.h"
+/* Override any gcc2 internal prototype to avoid an error.  */
+/* We use char because int might match the return type of a gcc2
+    builtin and then its argument prototype would still apply.  */
+char aio_read();
+
+int main() {
+aio_read()
+; return 0; }
+EOF
+if { (eval echo configure:7543: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=yes"
+else
+  echo "configure: failed program was:" >&5
+  cat conftest.$ac_ext >&5
+  rm -rf conftest*
+  eval "ac_cv_lib_$ac_lib_var=no"
+fi
+rm -f conftest*
+LIBS="$ac_save_LIBS"
+
+fi
+if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
+  echo "$ac_t""yes" 1>&6
+    ac_tr_lib=HAVE_LIB`echo aio | sed -e 's/^a-zA-Z0-9_/_/g' \
+    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
+  cat >> confdefs.h <<EOF
+#define $ac_tr_lib 1
+EOF
+
+  LIBS="-laio $LIBS"
+
+else
+  echo "$ac_t""no" 1>&6
+fi
+
 fi
 
 fi
@@ -7526,7 +7573,7 @@
 case "$host" in
 	*-pc-sco3.2*)
 		echo $ac_n "checking for strftime in -lintl""... $ac_c" 1>&6
-echo "configure:7530: checking for strftime in -lintl" >&5
+echo "configure:7577: checking for strftime in -lintl" >&5
 ac_lib_var=`echo intl'_'strftime | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7534,7 +7581,7 @@
   ac_save_LIBS="$LIBS"
 LIBS="-lintl  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7538 "configure"
+#line 7585 "configure"
 #include "confdefs.h"
 /* Override any gcc2 internal prototype to avoid an error.  */
 /* We use char because int might match the return type of a gcc2
@@ -7545,7 +7592,7 @@
 strftime()
 ; return 0; }
 EOF
-if { (eval echo configure:7549: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7596: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7576,7 +7623,7 @@
 esac
 
 echo $ac_n "checking for main in -llber""... $ac_c" 1>&6
-echo "configure:7580: checking for main in -llber" >&5
+echo "configure:7627: checking for main in -llber" >&5
 ac_lib_var=`echo lber'_'main | sed 'y%./+-%__p_%'`
 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
@@ -7584,14 +7631,14 @@
   ac_save_LIBS="$LIBS"
 LIBS="-llber  $LIBS"
 cat > conftest.$ac_ext <<EOF
-#line 7588 "configure"
+#line 7635 "configure"
 #include "confdefs.h"
 
 int main() {
 main()
 ; return 0; }
 EOF
-if { (eval echo configure:7595: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7642: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_lib_$ac_lib_var=yes"
 else
@@ -7779,12 +7826,12 @@
 
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:7783: checking for $ac_func" >&5
+echo "configure:7830: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 7788 "configure"
+#line 7835 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -7807,7 +7854,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:7811: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:7858: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -7833,7 +7880,7 @@
 
 
 echo $ac_n "checking if setresuid is implemented""... $ac_c" 1>&6
-echo "configure:7837: checking if setresuid is implemented" >&5
+echo "configure:7884: checking if setresuid is implemented" >&5
 if eval "test \"`echo '$''{'ac_cv_func_setresuid'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -7841,7 +7888,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 7845 "configure"
+#line 7892 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -7854,7 +7901,7 @@
   }
   
 EOF
-if { (eval echo configure:7858: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:7905: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_func_setresuid="yes"
 else
@@ -7899,7 +7946,7 @@
 fi
 
 echo $ac_n "checking if va_copy is implemented""... $ac_c" 1>&6
-echo "configure:7903: checking if va_copy is implemented" >&5
+echo "configure:7950: checking if va_copy is implemented" >&5
 if eval "test \"`echo '$''{'ac_cv_func_va_copy'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -7907,7 +7954,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 7911 "configure"
+#line 7958 "configure"
 #include "confdefs.h"
 
       #include <stdarg.h>
@@ -7925,7 +7972,7 @@
       }
       
 EOF
-if { (eval echo configure:7929: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:7976: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_func_va_copy="yes"
 else
@@ -7949,7 +7996,7 @@
 fi
 
 echo $ac_n "checking if __va_copy is implemented""... $ac_c" 1>&6
-echo "configure:7953: checking if __va_copy is implemented" >&5
+echo "configure:8000: checking if __va_copy is implemented" >&5
 if eval "test \"`echo '$''{'ac_cv_func___va_copy'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
@@ -7957,7 +8004,7 @@
     { echo "configure: error: can not run test program while cross compiling" 1>&2; exit 1; }
 else
   cat > conftest.$ac_ext <<EOF
-#line 7961 "configure"
+#line 8008 "configure"
 #include "confdefs.h"
 
       #include <stdarg.h>
@@ -7975,7 +8022,7 @@
       }
       
 EOF
-if { (eval echo configure:7979: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8026: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   ac_cv_func___va_copy="yes"
 else
@@ -8000,7 +8047,7 @@
 
 if test "$IPF_TRANSPARENT" ; then
     echo $ac_n "checking if IP-Filter header files are installed""... $ac_c" 1>&6
-echo "configure:8004: checking if IP-Filter header files are installed" >&5
+echo "configure:8051: checking if IP-Filter header files are installed" >&5
     # hold on to your hats...
     if test "$ac_cv_header_ip_compat_h" = "yes" ||
         test "$ac_cv_header_ip_fil_compat_h" = "yes" ||
@@ -8050,7 +8097,7 @@
 
 if test "$PF_TRANSPARENT" ; then
     echo $ac_n "checking if PF header file is installed""... $ac_c" 1>&6
-echo "configure:8054: checking if PF header file is installed" >&5
+echo "configure:8101: checking if PF header file is installed" >&5
     # hold on to your hats...
     if test "$ac_cv_header_net_pfvar_h" = "yes"; then
         PF_TRANSPARENT="yes"
@@ -8075,7 +8122,7 @@
 
 if test "$LINUX_NETFILTER" ; then
     echo $ac_n "checking if Linux 2.4 kernel header files are installed""... $ac_c" 1>&6
-echo "configure:8079: checking if Linux 2.4 kernel header files are installed" >&5
+echo "configure:8126: checking if Linux 2.4 kernel header files are installed" >&5
     # hold on to your hats...
     if test "$ac_cv_header_linux_netfilter_ipv4_h" = "yes"; then
         LINUX_NETFILTER="yes"
@@ -8109,13 +8156,13 @@
     esac
 fi
 echo $ac_n "checking if GNUregex needs to be compiled""... $ac_c" 1>&6
-echo "configure:8113: checking if GNUregex needs to be compiled" >&5
+echo "configure:8160: checking if GNUregex needs to be compiled" >&5
 if test -z "$USE_GNUREGEX"; then
 if test "$ac_cv_func_regcomp" = "no" || test "$USE_GNUREGEX" = "yes" ; then
 	USE_GNUREGEX="yes"
 else
 	cat > conftest.$ac_ext <<EOF
-#line 8119 "configure"
+#line 8166 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #include <regex.h>
@@ -8123,7 +8170,7 @@
 regex_t t; regcomp(&t,"",0);
 ; return 0; }
 EOF
-if { (eval echo configure:8127: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8174: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   USE_GNUREGEX="no"
 else
@@ -8155,12 +8202,12 @@
 
 do
 echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
-echo "configure:8159: checking for $ac_func" >&5
+echo "configure:8206: checking for $ac_func" >&5
 if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 8164 "configure"
+#line 8211 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func(); below.  */
@@ -8183,7 +8230,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8187: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8234: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   eval "ac_cv_func_$ac_func=yes"
 else
@@ -8211,12 +8258,12 @@
 
 
 echo $ac_n "checking Default FD_SETSIZE value""... $ac_c" 1>&6
-echo "configure:8215: checking Default FD_SETSIZE value" >&5
+echo "configure:8262: checking Default FD_SETSIZE value" >&5
 if test "$cross_compiling" = yes; then
   DEFAULT_FD_SETSIZE=256
 else
   cat > conftest.$ac_ext <<EOF
-#line 8220 "configure"
+#line 8267 "configure"
 #include "confdefs.h"
 
 #if HAVE_STDIO_H
@@ -8241,7 +8288,7 @@
 }
 
 EOF
-if { (eval echo configure:8245: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8292: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   DEFAULT_FD_SETSIZE=`cat conftestval`
 else
@@ -8278,7 +8325,7 @@
 if test -z "$SQUID_MAXFD"; then
 
 echo $ac_n "checking Maximum number of filedescriptors we can open""... $ac_c" 1>&6
-echo "configure:8282: checking Maximum number of filedescriptors we can open" >&5
+echo "configure:8329: checking Maximum number of filedescriptors we can open" >&5
 TLDFLAGS="$LDFLAGS"
 case $host in
 i386-unknown-freebsd*)
@@ -8290,7 +8337,7 @@
   SQUID_MAXFD=256
 else
   cat > conftest.$ac_ext <<EOF
-#line 8294 "configure"
+#line 8341 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -8350,7 +8397,7 @@
 }
 
 EOF
-if { (eval echo configure:8354: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8401: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_MAXFD=`cat conftestval`
 else
@@ -8378,12 +8425,12 @@
 LDFLAGS="$TLDFLAGS"
 
 echo $ac_n "checking Default UDP send buffer size""... $ac_c" 1>&6
-echo "configure:8382: checking Default UDP send buffer size" >&5
+echo "configure:8429: checking Default UDP send buffer size" >&5
 if test "$cross_compiling" = yes; then
   SQUID_UDP_SO_SNDBUF=16384
 else
   cat > conftest.$ac_ext <<EOF
-#line 8387 "configure"
+#line 8434 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8404,7 +8451,7 @@
 }
 
 EOF
-if { (eval echo configure:8408: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8455: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_UDP_SO_SNDBUF=`cat conftestval`
 else
@@ -8423,12 +8470,12 @@
 
 
 echo $ac_n "checking Default UDP receive buffer size""... $ac_c" 1>&6
-echo "configure:8427: checking Default UDP receive buffer size" >&5
+echo "configure:8474: checking Default UDP receive buffer size" >&5
 if test "$cross_compiling" = yes; then
   SQUID_UDP_SO_RCVBUF=16384
 else
   cat > conftest.$ac_ext <<EOF
-#line 8432 "configure"
+#line 8479 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8449,7 +8496,7 @@
 }
 
 EOF
-if { (eval echo configure:8453: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8500: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_UDP_SO_RCVBUF=`cat conftestval`
 else
@@ -8468,12 +8515,12 @@
 
 
 echo $ac_n "checking Default TCP send buffer size""... $ac_c" 1>&6
-echo "configure:8472: checking Default TCP send buffer size" >&5
+echo "configure:8519: checking Default TCP send buffer size" >&5
 if test "$cross_compiling" = yes; then
   SQUID_TCP_SO_SNDBUF=16384
 else
   cat > conftest.$ac_ext <<EOF
-#line 8477 "configure"
+#line 8524 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8494,7 +8541,7 @@
 }
 
 EOF
-if { (eval echo configure:8498: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8545: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_TCP_SO_SNDBUF=`cat conftestval`
 else
@@ -8517,12 +8564,12 @@
 
 
 echo $ac_n "checking Default TCP receive buffer size""... $ac_c" 1>&6
-echo "configure:8521: checking Default TCP receive buffer size" >&5
+echo "configure:8568: checking Default TCP receive buffer size" >&5
 if test "$cross_compiling" = yes; then
   SQUID_TCP_SO_RCVBUF=16384
 else
   cat > conftest.$ac_ext <<EOF
-#line 8526 "configure"
+#line 8573 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8543,7 +8590,7 @@
 }
 
 EOF
-if { (eval echo configure:8547: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8594: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   SQUID_TCP_SO_RCVBUF=`cat conftestval`
 else
@@ -8565,19 +8612,19 @@
 EOF
 
 echo $ac_n "checking if sys_errlist is already defined""... $ac_c" 1>&6
-echo "configure:8569: checking if sys_errlist is already defined" >&5
+echo "configure:8616: checking if sys_errlist is already defined" >&5
 if eval "test \"`echo '$''{'ac_cv_needs_sys_errlist'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 8574 "configure"
+#line 8621 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int main() {
 char *s = sys_errlist;
 ; return 0; }
 EOF
-if { (eval echo configure:8581: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8628: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_needs_sys_errlist="no"
 else
@@ -8599,16 +8646,16 @@
 fi
 
 echo $ac_n "checking for libresolv _dns_ttl_ hack""... $ac_c" 1>&6
-echo "configure:8603: checking for libresolv _dns_ttl_ hack" >&5
+echo "configure:8650: checking for libresolv _dns_ttl_ hack" >&5
 cat > conftest.$ac_ext <<EOF
-#line 8605 "configure"
+#line 8652 "configure"
 #include "confdefs.h"
 extern int _dns_ttl_;
 int main() {
 return _dns_ttl_;
 ; return 0; }
 EOF
-if { (eval echo configure:8612: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
+if { (eval echo configure:8659: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   rm -rf conftest*
   echo "$ac_t""yes" 1>&6
 cat >> confdefs.h <<\EOF
@@ -8624,12 +8671,12 @@
 rm -f conftest*
 
 echo $ac_n "checking if inet_ntoa() actually works""... $ac_c" 1>&6
-echo "configure:8628: checking if inet_ntoa() actually works" >&5
+echo "configure:8675: checking if inet_ntoa() actually works" >&5
 if test "$cross_compiling" = yes; then
   INET_NTOA_RESULT="broken"
 else
   cat > conftest.$ac_ext <<EOF
-#line 8633 "configure"
+#line 8680 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8648,7 +8695,7 @@
 }
 
 EOF
-if { (eval echo configure:8652: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
+if { (eval echo configure:8699: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
 then
   INET_NTOA_RESULT=`cat conftestval`
 else
@@ -8674,9 +8721,9 @@
 
 if test "$ac_cv_header_sys_statvfs_h" = "yes" ; then
 echo $ac_n "checking for working statvfs() interface""... $ac_c" 1>&6
-echo "configure:8678: checking for working statvfs() interface" >&5
+echo "configure:8725: checking for working statvfs() interface" >&5
 cat > conftest.$ac_ext <<EOF
-#line 8680 "configure"
+#line 8727 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -8693,7 +8740,7 @@
 
 ; return 0; }
 EOF
-if { (eval echo configure:8697: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8744: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_func_statvfs=yes
 else
@@ -8713,12 +8760,12 @@
 fi
 
 echo $ac_n "checking for _res.nsaddr_list""... $ac_c" 1>&6
-echo "configure:8717: checking for _res.nsaddr_list" >&5
+echo "configure:8764: checking for _res.nsaddr_list" >&5
 if eval "test \"`echo '$''{'ac_cv_have_res_nsaddr_list'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 8722 "configure"
+#line 8769 "configure"
 #include "confdefs.h"
 
 #if HAVE_SYS_TYPES_H
@@ -8741,7 +8788,7 @@
 _res.nsaddr_list[0];
 ; return 0; }
 EOF
-if { (eval echo configure:8745: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8792: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_res_nsaddr_list="yes"
 else
@@ -8763,12 +8810,12 @@
 
 if test $ac_cv_have_res_nsaddr_list = "no" ; then
 echo $ac_n "checking for _res.ns_list""... $ac_c" 1>&6
-echo "configure:8767: checking for _res.ns_list" >&5
+echo "configure:8814: checking for _res.ns_list" >&5
 if eval "test \"`echo '$''{'ac_cv_have_res_ns_list'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
-#line 8772 "configure"
+#line 8819 "configure"
 #include "confdefs.h"
 
 #if HAVE_SYS_TYPES_H
@@ -8791,7 +8838,7 @@
 _res.ns_list[0].addr;
 ; return 0; }
 EOF
-if { (eval echo configure:8795: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
+if { (eval echo configure:8842: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
   rm -rf conftest*
   ac_cv_have_res_ns_list="yes"
 else
diff -ruN squid-2.5.STABLE13/configure.in squid-2.5.STABLE14/configure.in
--- squid-2.5.STABLE13/configure.in	Sun Mar 12 04:29:22 2006
+++ squid-2.5.STABLE14/configure.in	Sat May 20 07:43:18 2006
@@ -3,15 +3,15 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.251.2.107 2006/03/12 11:19:07 hno Exp $
+dnl  $Id: configure.in,v 1.251.2.109 2006/05/20 13:35:33 hno Exp $
 dnl
 dnl
 dnl
 AC_INIT(src/main.c)
 AC_CONFIG_AUX_DIR(cfgaux)
-AM_INIT_AUTOMAKE(squid, 2.5.STABLE13)
+AM_INIT_AUTOMAKE(squid, 2.5.STABLE14)
 AM_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.251.2.107 $)dnl
+AC_REVISION($Revision: 1.251.2.109 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -1669,7 +1669,8 @@
 dnl Check for librt
 dnl We use AIO in the coss store
 if test "$with_aio" = "yes"; then
-    AC_CHECK_LIB(rt, aio_read)
+    dnl On some systems POSIX AIO functions are in libaio
+    AC_CHECK_LIB(rt, aio_read,,AC_CHECK_LIB(aio, aio_read))
 fi
 
 dnl -lintl is needed on SCO version 3.2v4.2 for strftime()
diff -ruN squid-2.5.STABLE13/errors/Italian/ERR_CONNECT_FAIL squid-2.5.STABLE14/errors/Italian/ERR_CONNECT_FAIL
--- squid-2.5.STABLE13/errors/Italian/ERR_CONNECT_FAIL	Wed Aug 28 15:08:05 2002
+++ squid-2.5.STABLE14/errors/Italian/ERR_CONNECT_FAIL	Sun Apr  2 08:40:59 2006
@@ -14,7 +14,7 @@
 <UL>
 <LI>
 <STRONG>
-Collegamento fallito
+Collegamento a %I fallito
 </STRONG>
 </UL>
 
diff -ruN squid-2.5.STABLE13/include/util.h squid-2.5.STABLE14/include/util.h
--- squid-2.5.STABLE13/include/util.h	Tue Oct 16 19:36:07 2001
+++ squid-2.5.STABLE14/include/util.h	Fri May 12 09:54:56 2006
@@ -1,5 +1,5 @@
 /*
- * $Id: util.h,v 1.62 2001/10/17 01:36:07 hno Exp $
+ * $Id: util.h,v 1.62.2.1 2006/05/12 15:54:56 hno Exp $
  *
  * AUTHOR: Harvest Derived
  *
@@ -45,16 +45,7 @@
 #endif
 
 #if !defined(SQUIDHOSTNAMELEN)
-#include <sys/param.h>
-#ifndef _SQUID_NETDB_H_		/* need protection on NEXTSTEP */
-#define _SQUID_NETDB_H_
-#include <netdb.h>
-#endif
-#if !defined(MAXHOSTNAMELEN) || (MAXHOSTNAMELEN < 128)
-#define SQUIDHOSTNAMELEN 128
-#else
-#define SQUIDHOSTNAMELEN MAXHOSTNAMELEN
-#endif
+#define SQUIDHOSTNAMELEN 256
 #endif
 
 #if defined(_SQUID_FREEBSD_)
diff -ruN squid-2.5.STABLE13/include/version.h squid-2.5.STABLE14/include/version.h
--- squid-2.5.STABLE13/include/version.h	Sun Mar 12 04:29:22 2006
+++ squid-2.5.STABLE14/include/version.h	Sat May 20 07:43:18 2006
@@ -9,5 +9,5 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1142162957
+#define SQUID_RELEASE_TIME 1148132595
 #endif
diff -ruN squid-2.5.STABLE13/src/HttpHeader.c squid-2.5.STABLE14/src/HttpHeader.c
--- squid-2.5.STABLE13/src/HttpHeader.c	Sat Feb 25 16:07:49 2006
+++ squid-2.5.STABLE14/src/HttpHeader.c	Fri May 12 10:17:35 2006
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeader.c,v 1.74.2.31 2006/02/25 23:07:49 hno Exp $
+ * $Id: HttpHeader.c,v 1.74.2.32 2006/05/12 16:17:35 hno Exp $
  *
  * DEBUG: section 55    HTTP Header
  * AUTHOR: Alex Rousskov
@@ -798,6 +798,7 @@
 	    break;
 	}
     }
+    stringClean(&header);
     return result;
 }
 
diff -ruN squid-2.5.STABLE13/src/htcp.c squid-2.5.STABLE14/src/htcp.c
--- squid-2.5.STABLE13/src/htcp.c	Fri Mar 25 19:50:53 2005
+++ squid-2.5.STABLE14/src/htcp.c	Fri May 12 09:58:50 2006
@@ -1,6 +1,6 @@
 
 /*
- * $Id: htcp.c,v 1.38.2.6 2005/03/26 02:50:53 hno Exp $
+ * $Id: htcp.c,v 1.38.2.7 2006/05/12 15:58:50 hno Exp $
  *
  * DEBUG: section 31    Hypertext Caching Protocol
  * AUTHOR: Duane Wesssels
@@ -598,6 +598,9 @@
 	packerClean(&p);
     }
     pkt = htcpBuildPacket(&stuff, &pktlen);
+    safe_free(stuff.D.resp_hdrs);
+    safe_free(stuff.D.entity_hdrs);
+    safe_free(stuff.D.cache_hdrs);
     if (pkt == NULL) {
 	debug(31, 0) ("htcpTstReply: htcpBuildPacket() failed\n");
 	return;
diff -ruN squid-2.5.STABLE13/src/ident.c squid-2.5.STABLE14/src/ident.c
--- squid-2.5.STABLE13/src/ident.c	Fri Apr 13 18:03:23 2001
+++ squid-2.5.STABLE14/src/ident.c	Fri May 12 10:00:31 2006
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ident.c,v 1.58 2001/04/14 00:03:23 hno Exp $
+ * $Id: ident.c,v 1.58.2.1 2006/05/12 16:00:31 hno Exp $
  *
  * DEBUG: section 30    Ident (RFC 931)
  * AUTHOR: Duane Wessels
@@ -85,6 +85,7 @@
     identCallback(state, NULL);
     comm_close(state->fd);
     hash_remove_link(ident_hash, (hash_link *) state);
+    safe_free(state->hash.key);
     cbdataFree(state);
 }
 
diff -ruN squid-2.5.STABLE13/src/internal.c squid-2.5.STABLE14/src/internal.c
--- squid-2.5.STABLE13/src/internal.c	Fri Mar 10 15:43:37 2006
+++ squid-2.5.STABLE14/src/internal.c	Fri May 12 09:57:23 2006
@@ -1,6 +1,6 @@
 
 /*
- * $Id: internal.c,v 1.23.2.2 2006/03/10 22:43:37 hno Exp $
+ * $Id: internal.c,v 1.23.2.3 2006/05/12 15:57:23 hno Exp $
  *
  * DEBUG: section 76    Internal Squid Object handling
  * AUTHOR: Duane, Alex, Henrik
@@ -135,6 +135,9 @@
 {
     LOCAL_ARRAY(char, host, SQUIDHOSTNAMELEN + 1);
     xstrncpy(host, getMyHostname(), SQUIDHOSTNAMELEN);
+    if (Config.appendDomain && !strchr(host, '.'))
+	strncat(host, Config.appendDomain, SQUIDHOSTNAMELEN -
+	    strlen(host) - 1);
     Tolower(host);
     return host;
 }
diff -ruN squid-2.5.STABLE13/src/store_client.c squid-2.5.STABLE14/src/store_client.c
--- squid-2.5.STABLE13/src/store_client.c	Tue Apr 19 16:19:27 2005
+++ squid-2.5.STABLE14/src/store_client.c	Sat May 20 06:57:01 2006
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_client.c,v 1.105.2.4 2005/04/19 22:19:27 hno Exp $
+ * $Id: store_client.c,v 1.105.2.5 2006/05/20 12:57:01 hno Exp $
  *
  * DEBUG: section 20    Storage Manager Client-Side Interface
  * AUTHOR: Duane Wessels
@@ -441,7 +441,7 @@
 	    }
 	    break;
 	default:
-	    debug(20, 1) ("WARNING: got unused STORE_META type %d\n", t->type);
+	    debug(20, 2) ("WARNING: got unused STORE_META type %d\n", t->type);
 	    break;
 	}
     }
